<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div class="overview-body">
  <div style="min-width: 1048px; overflow: auto">
    <div class="maincontent" *ngIf="responsiblitiesRetrieveDone">
      <div class="row">
        <div class="col-xs-3">
          <span style="font-size: 30px">Betriebstagebuch</span>
        </div>
        <div class="col-xs-9">
          <div class="pull-right">
            <button style="width: 120px" class="btn btn-primary" (click)="openDialogNewEntry()">Eintrag anlegen</button>
            <button *ngIf="isSpecialUser()" class="btn btn-info" (click)="openInstructionDialogNewEntry()">Anweisung anlegen</button>
            <button *ngIf="isSpecialUser()" class="btn btn-info" (click)="openPresenceReminderDialogNewEntry()">Türkontaktmeldung anlegen</button>
            <button style="width: 120px" class="btn btn-primary" id="dataimport" [ngClass]="{'btn-warning': sessionContext.isImportFileAvailable()}"
              (click)="openDialogDataImport()">
              Datenimport
            </button>
            <button style="width: 120px" class="btn btn-primary" onclick="window.print()">
              Drucken
            </button>
          </div>
        </div>
      </div>
      <div class="panel-group">
        <app-filter [shiftChangeProtocolConfirmed]="shiftChangeClosed" [shiftChangeProtocolOpened]="shiftChangeOpened"
          [filterExpanded]="filterExpanded_"></app-filter>
        <app-future-notifications (onEditNotification)="openDialogEditEntry($event)" (onLookUpNotification)="openDialogLookUpEntry($event)"
          [withCheckboxes]="false" [withEditButtons]="true" [isCollapsible]="true" [stayHidden]="true" [gridId]="'OverviewFutureNot'"></app-future-notifications>
        <app-open-notifications (onEditNotification)="openDialogEditEntry($event)" (onLookUpNotification)="openDialogLookUpEntry($event)"
          [withCheckboxes]="false" [withEditButtons]="true" [isCollapsible]="true" [stayHidden]="false" [gridId]="'OverviewOpenNot'"></app-open-notifications>
        <app-finished-notifications (onEditNotification)="openDialogEditEntry($event)" [withCheckboxes]="false"
          (onLookUpNotification)="openDialogLookUpEntry($event)" [withEditButtons]="true" [isCollapsible]="true"
          [stayHidden]="true" [gridId]="'OverviewFinishedNot'"></app-finished-notifications>
      </div>
    </div>
  </div>
</div>
<app-version-info>...Loading Version-Info...</app-version-info>